2 Replies Latest reply on Mar 12, 2009 6:53 AM by Yong Zhang

    JBoss messaging on JBoss 5 and Java 6

    Yong Zhang Newbie

      Hi,

      Currently we are on:
      1. JBoss 4.2.2
      2. JBoss messaging 1.4.0.SP3
      3. Java 1.5

      And JBoss messaging has been working very stable.

      Now we are considering upgrading to JBoss 5.01(JBoss Messaging 1.4.1GA) and Java 6.

      I am just wondering, compare to Java 5, how stable JBoss Messaging 1.4.1GA is under Java 6 runtime?

      Thanks in advance.

        • 1. Re: JBoss messaging on JBoss 5 and Java 6
          Yong Hao Gao Master

          Hi, we have been testing jboss messaging 1.4.x with JAVA 5. So it should be safe to do the update under java 5. Personally I think if your application is already in production state, please stay java 1.5.

          • 2. Re: JBoss messaging on JBoss 5 and Java 6
            Yong Zhang Newbie

            Thanks, I understand JBoss messaging is stable under Java 5. However, there is requirement that we have to upgrade to JBoss 5 + Java 6.

            The JBoss 5 documents reads:


            The Java5 compiled binary is our primary/recommended binary distribution. It has undergone rigorous testing and can run under
            both a Java 5 and a Java 6 runtime.


            Can anyone from JBoss messaging please confirm this also means JBoss messaging has undergone rigorous testing under Java 6 runtime?